Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #393 (new defect)

Opened 16 years ago

Last modified 13 years ago

Txpower malfunction

Reported by: anonymous Assigned to:
Priority: minor Milestone: version 1.0.0 - first stable release
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I have an Engenius NMP-8602 (400mw) and im unable to set txpower over 19dbm, even if I try things like iwconfig ath0 txpower 400mw, or iwconfig ath0 txpower 26db the command works but the txpower stay at 19dbm.

Change History

02/15/06 13:00:24 changed by mrenzmann

  • priority changed from major to minor.

Ok, and what version of MadWifi are you using? madwifi-old or madwifi-ng, and what revision? Can you change the TX power to lower values than 19dBm?

02/15/06 17:03:33 changed by anonymous

Im using the latest CVS from madwifi-ng and yes i can set it lower.

If it can help you, by default when i load the module iwconfig display 15dbm

02/15/06 17:34:29 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to invalid.

You are aware that the higher TX power are achieved by cheating the calibration table? Although iwconfig shows a lower TX power value the power actually used by the card is higher than that. Some comments to ticket #194 explain that.

Bottom line: this is no real bug, but related to the way how the higher TX power values are achieved. I therefor close this ticket as invalid, but please feel free to reopen it if you find out that there is a bug.

02/15/06 17:57:36 changed by TvE

  • status changed from closed to reopened.
  • resolution deleted.

Aren't you jumping the gun in closing this as being the same as 194? That ticket regarded the Ubiquiti cards. This ticket is about a new Senao/Engenius card. I believe the best course of action is to ask the original reporter of the bug to read ticket #194 and then call Engenius or the seller to find out whether they use a similar trick.

02/15/06 19:54:09 changed by anonymous

I did some test after reading #194, The results are somewhat strange. If I issue the commande "iwconfig ath0 txpower 20" iwconfig report 19dbm and if I issue "iwconfig ath0 txpower 26" iwconfig report 19dbm again, BUT the receive signal is very different and prove that 20 < 26. Issuing "iwconfig ath0 txpower 18" display 18dbm and its still lower than with 20.

Remark : I cant go over 27, and the card limit should be about 26, so the command handling seems to be fine.

Still iwconfig should display 26dbm, not 19.

02/16/06 09:08:25 changed by mrenzmann

  • status changed from reopened to new.
  • owner set to mrenzmann.
  • milestone set to version 1.0.0 - first stable release.

That's exactly why I added the note about "feel free to reopen the ticket". With the added comment from anonymous it's now quite clear that this could be a bug. This has to be looked at before releasing 1.0.0, I think (since for 0.9.0 we scheduled to fix all "more than annoying" bugs, and this basically is annoying, I'd say).

04/05/06 22:00:19 changed by dyqith

  • status changed from new to assigned.
  • owner changed from mrenzmann to dyqith.

Can you please take a look at http://madwifi.org/ticket/508

07/04/06 11:38:14 changed by yulianto@eb.net.my

The NMP 8602 (FCC) still has problem with latest madwifi-ng SVN (r1663). 400mw TXpower under 11bg can not be achieved. Basically all others power setting (that list out by "iwlist txpower") is ok. Spectrum showing the txpower achieved does not exceed cards with 40mw. Initial txpower (most of case) is 15mw. Wierdly, the initial txpower can be vary. Max txpower can be drove 19mw.

Here some info: * Using Linux kernel 2.4.32, OS: CfLinux? (www.cflinux.hu)

* close look into chipset, found: AR5413A

* PCI ID: cat /proc/pci

  Ethernet controller: PCI device 168c:001b (rev 1).

* Exec: dmesg | tail -n40

  ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
  wlan: 0.8.4.2 (svn r1663)
  ath_rate_sample: 1.2 (svn r1663)
  ath_pci: 0.9.4.5 (svn r1663)
  wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
  wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
  wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
  wifi0: H/W encryption support: WEP AES AES_CCM TKIP
  wifi0: mac 10.4 phy 6.1 radio 6.3
  wifi0: Use hw queue 1 for WME_AC_BE traffic
  wifi0: Use hw queue 0 for WME_AC_BK traffic
  wifi0: Use hw queue 2 for WME_AC_VI traffic
  wifi0: Use hw queue 3 for WME_AC_VO traffic
  wifi0: Use hw queue 8 for CAB traffic
  wifi0: Use hw queue 9 for beacons
  wifi0: Atheros 5212: mem=0xa0000000, irq=10
  ap0 (WE) : Buffer for request SIOCGIWPRIV too small (16<144)
  ap0 (WE) : Buffer for request SIOCGIWPRIV too small (32<144)
  ap0 (WE) : Buffer for request SIOCGIWPRIV too small (64<144)
  ap0 (WE) : Buffer for request SIOCGIWPRIV too small (128<144)

* Exec: iwlist ap0 txpower

  ap0     8 available transmit-powers :
          0 dBm         (1 mW)
          7 dBm         (5 mW)
          9 dBm         (7 mW)
          11 dBm        (12 mW)
          13 dBm        (19 mW)
          15 dBm        (31 mW)
          17 dBm        (50 mW)
          19 dBm        (79 mW)
          Current Tx-Power:19 dBm     (79 mW)

* Exec: iwconfig ap0

  ap0       IEEE 802.11g  ESSID:"eBAP"
            Mode:Master  Frequency:2.427 GHz  Access Point: 00:02:6F:xx:xx:xx
            Bit Rate:0 kb/s   Tx-Power:19 dBm   Sensitivity=0/3
            Retry:off   RTS thr:off   Fragment thr:off
            Encryption key:xxxx-xxxx-xx   Security mode:restricted
            Power Management:off
            Link Quality=0/94  Signal level=-95 dBm  Noise level=-95 dBm
            Rx invalid nwid:2077  Rx invalid crypt:0  Rx invalid frag:0
            Tx excessive retries:0  Invalid misc:0   Missed beacon:0

* Exec: iwconfig ap0 txpower 20

  Error for wireless request "Set Tx Power" (8B26) :
      SET failed on device ap0 ; Invalid argument.

07/04/06 11:44:33 changed by mrenzmann

How did you determine whether the intended TX power is reached or not? If it's just by the fact that you can't set certain values: please read the comments here and in #194 regarding how the higher TX power probably is achieved (hint: 10dBm power offset). Otherwise: please explain.

11/10/06 23:50:28 changed by jmacwilliams@ariaves.net

WIth ath_pci started with no country code, I have tried changing power settings incrementally from 10dBm to 26dBm. Then repeated with country code 840 (USA). In both instances, over 18dBm txpower commands are still accepted up to 27, but the power level emmited by the card stays at 18dBm regardless of the value given with "iwconfig ath0 txpower XY".

11/13/06 14:35:35 changed by mrenzmann

but the power level emmited by the card stays at 18dBm

Same question here: how did you determine that?

11/14/06 02:51:54 changed by jmacwilliams@ariawaves.net

Power measurements were done by putting two PC compatible boards side by side.

One is running an atheros card with chipset 5212 on monitor mode. The other one has an Engenius EMP-8602. Neither machine have an antenna, so power levels do not saturate the receivers.

Machine 1 in monitor mode runs NetStumbler?. Machine 2 with Pyramid Linux runs madwifi.

1. Set power level on the EMC-8602 to 1. 2. Observer dBm on the NetStumbler? receiver. 3. Increase power level on the 8602 by 5dBm. 4. Verify that signal level at NetStumbler? has also increased by 5dBm. 5. Repeat 3 and 4 5dBm at a time. 6. Observe that past 18dBm, increasing the power on the 8602 has no effect on the strengh of the received signal on the other side (maximum level obtained was 45dBm at the receiver with 18dBm on the transmitter).

Alternatively one can run the same experiment connecting the radios directly with SMA pigtails and a 50dBm attenuator.

In this example I mentioned NetStumbler?, but I have also used Linux with iwlist ath0 scan with the same results.

Feel free to contact me by e-mail directly so that I can provide more assistance and give you access to my test network.

11/14/06 04:05:06 changed by jmacwilliams@ariawaves.net

By the way: The EMC-8602 was set to rate=2M, 802.11b, and master mode.

11/21/06 18:21:02 changed by anonymous

I need help regarding Senao 8602 NMP miniPCI card, I bought it in the UK and cannot get it to exceed 19 dbm using iwconfig, I have also tried changing the countrycode upon loading the ath_pci module, with no success.

iwlist shows 8 available channels no matter what:

ath0      8 available transmit-powers :
          0 dBm         (1 mW)
          7 dBm         (5 mW)
          9 dBm         (7 mW)
          11 dBm        (12 mW)
          13 dBm        (19 mW)
          15 dBm        (31 mW)
          17 dBm        (50 mW)
          19 dBm        (79 mW)
          Current Tx-Power:19 dBm       (79 mW)

I have googled and read about this everywhere but can't get an answer to this problem. Can the card be hardware restricted? The card should at least be able to perform 100mw with the UK restrictions...

I am sure it does not operate at a higher power then what iwconfig reports as I have had literally no performance increse from my previous 31 mw Intel card.

please help me, I am desperate here..

11/22/06 18:55:43 changed by ahmet@thebluezone.com

We are facing the same problem. Maximum I can get through EMP-8602 looks like 19 dBm as measure on a spectrum analyzer. I hope it is addresses in the near future

03/27/07 17:52:54 changed by sedebian@gmail.com

I have the same problem with my senao 8602 400mw card. It doesn't go over 19dbm and when I put it to 18dbm it hops down to 17dbm after a while. I am testing with a very powerful ap that is very close and I usually get much better signal with my intel card as well as much better speeds. Is there a way to lift the sanctions for maximum txpower?

04/09/07 20:26:13 changed by agf <andrei@rubtsovsk.ru>

I have the same problem with my two card - senao 8602 (FCC Plus) 400mw. Card work in AP mode. How use card with maximum txpower?

07/24/07 20:57:07 changed by dyqith

  • status changed from assigned to new.
  • owner deleted.

08/12/08 01:12:59 changed by anonymous

  • Another year has passed us by, but we look ourselves and cry, has this been resolved?? (grin) I'm thinking of getting an Engenious 8602+, which http://linux-wless.passys.nl/query_hostif.php?hostif=mini-PCI lists as "green" for compatibility using madwifi, yet I see all of these posts about issues and no closure.
  • Guess I'll keep looking for a mini-PCI wifi. (shrug) At least there's lots of choices!